Bug 447069 - Grid Manager throttles apply globally
Grid Manager throttles apply globally
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Matthew Farrellee
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-17 11:53 EDT by Matthew Farrellee
Modified: 2009-02-04 11:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:05:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-05-17 11:53:59 EDT
Description of problem:

The throttles to control submission to grid resources via the condor_gridmanager
apply to all resources.

GRIDMANAGER_MAX_PENDING_SUBMITS_PER_RESOURCE
GRIDMANAGER_MAX_SUBMITTED_JOBS_PER_RESOURCE

It would be desirable to have grid resource specific throttles. For instance, by
default EC2 will not let you run more than 20 instances. So, setting
MAX_SUBMITTED = 20 is critical, but other grid resources may allow for more than
20 submissions.

Version-Release number of selected component (if applicable):

condor 7.0.1-6
Comment 1 Jaime Frey 2008-09-10 16:21:14 EDT
Setting these limits differently per grid-type is clearly necessary. We also have a request to set them differently per resource within a grid-type. I want to think about how to represent both in the Condor config file. How we represent the later may affect how we represent the former.
Comment 2 Matthew Farrellee 2008-10-21 10:59:22 EDT
Fixed upstream...

author	Jaime Frey <...>
commit	60883ab59c1398d2d7c2bc4c489050523f0585d3

Allow gridmanager resource limits to be set per-gridtype

Added config parameters GRIDMANAGER_MAX_SUBMITTED_JOBS_PER_RESOURCE_<gridtype> and GRIDMANAGER_MAX_PENDING_SUBMITS_PER_RESOURCE_<gridtype>, which let you set these limits on a per-gridtype basis. The parameter names without a gridtype still work and are used if the gridtype-specific versions are absent for a given type.
Comment 5 errata-xmlrpc 2009-02-04 11:05:05 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.